> For the complete documentation index, see [llms.txt](https://docs.turbine.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.turbine.exchange/advanced/market-make.md).

# Market Make

You can market make in Turbine in two ways:

* using orders with negative spread
* using orders with explicit limit price

{% hint style="info" %}
See [Trade Programmatically](/trading/trade-programmatically.md) for a guide on how to place orders programmatically at scale.
{% endhint %}

## Negative spread orders

Turbine accepts orders with negative spread.

Negative spread means you are willing to trade only at a **better** price than current market mid-price.

Use this option to be the counterparty to takers that want to trade faster. If your spread is better than what DEXes and Turbine liquidity offer, taker orders match against yours.

A large order with negative spread can settle partially against smaller orders with positive spread.

Note that Turbine also tries to settle your order against DEX liquidity. The probability of finding such a settlement is low, but not zero.

## Explicit limit price

Every order in Turbine has a limit price, but usually the spread setting is stricter.

If you set a very wide spread but a strict limit price, you effectively turn the spread order into a classic limit order.

The web UI does not support setting the limit price precisely, but you can do it programmatically: [Trade Programmatically](/trading/trade-programmatically.md).

Set `spreadCurve` to `spreads.constant(9999)` (99.99%, maximum possible value) and `minBuyAmount` to a value such that `minBuyAmount = sellAmount * yourLimitPrice`.

You can submit multiple orders for the same pair at different limit prices, representing different price levels.

We recommend an order lifetime of **at least 24 seconds** (minimum is 12 seconds, one Ethereum block). Your order must first pass the Speedbump, then get included in a batch in the next block.

## Rate limiting

Current rate limits are described in [Rate Limiting](/reference/api/rate-limiting.md).

If you need higher limits, reach out to `tanay_j` on Telegram.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.turbine.exchange/advanced/market-make.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
